## org.eclipse.uml2.uml
Interface Artifact

All Superinterfaces:
  Classifier, DeployedArtifact, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, Namespace, org.eclipse.emf.common.notify.Notifier, PackageableElement, ParameterableElement, RedefinableElement, TemplateableElement, Type

All Known Subinterfaces:
  DeploymentSpecification

    public interface Artifact

extends Classifier, DeployedArtifact

A representation of the model object 'Artifact'. An artifact is the specification of a physical piece of information that is used or produced by a software development process, or by deployment and operation of a system. Examples of artifacts include model files, source files, scripts, and binary executable files, a table in a database system, a development deliverable, or a word-processing document, a mail message. An artifact is the source of a deployment to a node.

The following features are supported:

- `File Name`
- `Nested Artifact`
- `Manifestation`
- `Owned Operation`
- `Owned Attribute`

See Also:
  `UMLPackage.getArtifact()`

Method Summary
`Manifestation` `createManifestation(java.lang.String name, PackageableElement utilizedElement)` Creates a new `Manifestation`, with the specified 'Name', and 'Utilized Element', and appends it to the 'Manifestation' containment reference list
`Artifact` `createNestedArtifact(java.lang.String name)` Creates a new `Artifact`, with the specified 'Name', and appends it to the 'Nested Artifact' containment reference list
`Artifact` `createNestedArtifact(java.lang.String name, org.eclipse.emf.ecore.EClass eClass)` Creates a new `Artifact`, with the specified 'Name', and appends it to the 'Nested Artifact' containment reference list
`Property` `createOwnedAttribute(java.lang.String name, Type type)` Creates a new `Property`, with the specified 'Name', and 'Type', and appends it to the 'Owned Attribute' containment reference list
`Property` `createOwnedAttribute(java.lang.String name, Type type, org.eclipse.emf.ecore.EClass eClass)` Creates a new `Property`, with the specified 'Name', and 'Type', and appends it to the 'Owned Attribute' containment reference list
`Property` `createOwnedAttribute(java.lang.String name, Type type, int lower, int upper)` Creates a property with the specified name, type, lower bound, and upper bound as an owned attribute of this artifact.
`Operation` `createOwnedOperation(java.lang.String name, org.eclipse.emf.common.util.EList<java.lang.String> ownedParameterNames, org.eclipse.emf.common.util.EList<Type> ownedParameterTypes)` Creates a new `Operation`, with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types', and appends it to the 'Owned Operation' containment reference list
`Operation` `createOwnedOperation(java.lang.String name, org.eclipse.emf.common.util.EList<java.lang.String> parameterNames, org.eclipse.emf.common.util.EList<Type> parameterTypes, Type returnType)` Creates an operation with the specified name, parameter names, parameter types, and return type (or null) as an owned operation of this artifact.
`java.lang.String` `getFileName()` Returns the value of the 'File Name' attribute
`Manifestation` `getManifestation(java.lang.String name, PackageableElement utilizedElement)` Retrieves the first `Manifestation` with the specified 'Name', and 'Utilized Element' from the 'Manifestation' containment reference list
`Manifestation` `getManifestation(java.lang.String name, PackageableElement utilizedElement, boolean ignoreCase, boolean createOnDemand)` Retrieves the first `Manifestation` with the specified 'Name', and 'Utilized Element' from the 'Manifestation' containment reference list
`org.eclipse.emf.common.util.EList<Manifestation>` `getManifestations()` Returns the value of the 'Manifestation' containment reference list.
`Artifact` `getNestedArtifact(java.lang.String name)` Retrieves the first `Artifact` with the specified 'Name' from the 'Nested Artifact' containment reference list
`Artifact` `getNestedArtifact(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass, boolean createOnDemand)` Retrieves the first `Artifact` with the specified 'Name' from the 'Nested Artifact' containment reference list
`org.eclipse.emf.common.util.EList<Artifact>` `getNestedArtifacts()` Returns the value of the 'Nested Artifact' containment reference list.
`Property` `getOwnedAttribute(java.lang.String name, Type type)` Retrieves the first `Property` with the specified 'Name', and 'Type' from the 'Owned Attribute' containment reference list
`Property` `getOwnedAttribute(java.lang.String name, Type type, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass, boolean createOnDemand)` Retrieves the first `Property` with the specified 'Name', and 'Type' from the 'Owned Attribute' containment reference list
`org.eclipse.emf.common.util.EList<Property>` `getOwnedAttributes()` Returns the value of the 'Owned Attribute' containment reference list.
`Operation` `getOwnedOperation(java.lang.String name, org.eclipse.emf.common.util.EList<java.lang.String> ownedParameterNames, org.eclipse.emf.common.util.EList<Type> ownedParameterTypes)` Retrieves the first `Operation` with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types' from the 'Owned Operation' containment reference list
`Operation` `getOwnedOperation(java.lang.String name, org.eclipse.emf.common.util.EList<java.lang.String> ownedParameterNames, org.eclipse.emf.common.util.EList<Type> ownedParameterTypes, boolean ignoreCase, boolean createOnDemand)` Retrieves the first `Operation` with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types' from the 'Owned Operation' containment reference list
`org.eclipse.emf.common.util.EList<Operation>` `getOwnedOperations()` Returns the value of the 'Owned Operation' containment reference list.
`boolean` `isSetFileName()` Returns whether the value of the '`File Name`' attribute is set
`void` `setFileName(java.lang.String value)` Sets the value of the '`File Name`' attribute
`void` `unsetFileName()` Unsets the value of the '`File Name`' attribute

Methods inherited from interface org.eclipse.uml2.uml.Classifier

`allFeatures, allParents, conformsTo, createCollaborationUse, createGeneralization, createOwnedUseCase, createRepresentation, createSubstitution, getAllAttributes, getAllOperations, getAllUsedInterfaces, getAttribute, getAttribute, getAttributes, getCollaborationUse, getCollaborationUse, getCollaborationUses, getFeature, getFeature, getFeatures, getGeneral, getGeneral, getGeneralization, getGeneralization, getGeneralizations, getGenerals, getInheritedMember, getInheritedMember, getInheritedMembers, getOperation, getOperation, getOperations, getOwnedUseCase, getOwnedUseCase, getOwnedUseCases, getPowertypeExtent, getPowertypeExtent, getPowertypeExtents, getRedefinedClassifier, getRedefinedClassifier, getRedefinedClassifiers, getRepresentation, getSubstitution, getSubstitution, getSubstitutions, getUseCase, getUseCase, getUseCases, getUsedInterfaces, hasVisibilityOf, inherit, inheritableMembers, isAbstract, maySpecializeType, parents, setIsAbstract, setRepresentation, validateGeneralizationHierarchies, validateMapsToGeneralizationSet, validateNoCyclesInGeneralization, validateSpecializeType`

Methods inherited from interface org.eclipse.uml2.uml.Namespace

`createElementImport, createElementImport, createOwnedRule, createOwnedRule, createPackageImport, createPackageImport, excludeCollisions, getElementImport, getElementImport, getElementImports, getImportedElements, getImportedMember, getImportedMember, getImportedMembers, getImportedPackages, getMember, getMember, getMembers, getNamesOfMember, getOwnedMember, getOwnedMember, getOwnedMembers, getOwnedRule, getOwnedRule, getOwnedRules, getPackageImport, getPackageImport, getPackageImports, importMembers, membersAreDistinguishable, validateMembersDistinguishable`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.Type
`conformsTo, createAssociation, getAssociations, getPackage, setPackage`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.ParameterableElement
`getOwningTemplateParameter, getTemplateParameter, isCompatibleWith, isTemplateParameter, setOwningTemplateParameter, setTemplateParameter`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.TemplateableElement
`createOwnedTemplateSignature, createOwnedTemplateSignature, createTemplateBinding, getOwnedTemplateSignature, getTemplateBinding, getTemplateBinding, getTemplateBindings, isTemplate, parameterableElements, setOwnedTemplateSignature`

Method Detail

### getFileName

    java.lang.String getFileName()

  Returns the value of the 'File Name' attribute. A concrete name that is used to refer to the Artifact in a physical context. Example: file system name, universal resource locator.

  Returns:
    the value of the 'File Name' attribute.
  See Also:
    `isSetFileName()`, `unsetFileName()`, `setFileName(String)`, `UMLPackage.getArtifact_FileName()`

### setFileName

    void setFileName(java.lang.String value)

  Sets the value of the '`File Name`' attribute.

  Parameters:
    `value` - the new value of the 'File Name' attribute.
  See Also:
    `isSetFileName()`, `unsetFileName()`, `getFileName()`

### unsetFileName

    void unsetFileName()

  Unsets the value of the '`File Name`' attribute.

  See Also:
    `isSetFileName()`, `getFileName()`, `setFileName(String)`

### isSetFileName

    boolean isSetFileName()

  Returns whether the value of the '`File Name`' attribute is set.

  Returns:
    whether the value of the 'File Name' attribute is set.
  See Also:
    `unsetFileName()`, `getFileName()`, `setFileName(String)`

### getNestedArtifacts

    org.eclipse.emf.common.util.EList<Artifact> getNestedArtifacts()

  Returns the value of the 'Nested Artifact' containment reference list. The list contents are of type `Artifact`. The Artifacts that are defined (nested) within the Artifact. The association is a specialization of the ownedMember association from Namespace to NamedElement.

  Returns:
    the value of the 'Nested Artifact' containment reference list.
  See Also:
    `UMLPackage.getArtifact_NestedArtifact()`

### createNestedArtifact

    Artifact createNestedArtifact(java.lang.String name,
                                  org.eclipse.emf.ecore.EClass eClass)

  Creates a new `Artifact`, with the specified 'Name', and appends it to the 'Nested Artifact' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Artifact`, or `null`.
    `eClass` - The Ecore class of the `Artifact` to create.
  Returns:
    The new `Artifact`.
  See Also:
    `getNestedArtifacts()`

### createNestedArtifact

    Artifact createNestedArtifact(java.lang.String name)

  Creates a new `Artifact`, with the specified 'Name', and appends it to the 'Nested Artifact' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Artifact`, or `null`.
  Returns:
    The new `Artifact`.
  See Also:
    `getNestedArtifacts()`

### getNestedArtifact

    Artifact getNestedArtifact(java.lang.String name)

  Retrieves the first `Artifact` with the specified 'Name' from the 'Nested Artifact' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Artifact` to retrieve, or `null`.
  Returns:
    The first `Artifact` with the specified 'Name', or `null`.
  See Also:
    `getNestedArtifacts()`

### getNestedArtifact

    Artifact getNestedArtifact(java.lang.String name,
                               boolean ignoreCase,
                               org.eclipse.emf.ecore.EClass eClass,
                               boolean createOnDemand)

  Retrieves the first `Artifact` with the specified 'Name' from the 'Nested Artifact' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Artifact` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `Artifact` to retrieve, or `null`.
    `createOnDemand` - Whether to create a `Artifact` on demand if not found.
  Returns:
    The first `Artifact` with the specified 'Name', or `null`.
  See Also:
    `getNestedArtifacts()`

### getManifestations

    org.eclipse.emf.common.util.EList<Manifestation> getManifestations()

  Returns the value of the 'Manifestation' containment reference list. The list contents are of type `Manifestation`. The set of model elements that are manifested in the Artifact. That is, these model elements are utilized in the construction (or generation) of the artifact.

  Returns:
    the value of the 'Manifestation' containment reference list.
  See Also:
    `UMLPackage.getArtifact_Manifestation()`

### createManifestation

    Manifestation createManifestation(java.lang.String name,
                                      PackageableElement utilizedElement)

  Creates a new `Manifestation`, with the specified 'Name', and 'Utilized Element', and appends it to the 'Manifestation' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Manifestation`, or `null`.
    `utilizedElement` - The 'Utilized Element' for the new `Manifestation`, or `null`.
  Returns:
    The new `Manifestation`.
  See Also:
    `getManifestations()`

### getManifestation

    Manifestation getManifestation(java.lang.String name,
                                   PackageableElement utilizedElement)

  Retrieves the first `Manifestation` with the specified 'Name', and 'Utilized Element' from the 'Manifestation' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Manifestation` to retrieve, or `null`.
    `utilizedElement` - The 'Utilized Element' of the `Manifestation` to retrieve, or `null`.
  Returns:
    The first `Manifestation` with the specified 'Name', and 'Utilized Element', or `null`.
  See Also:
    `getManifestations()`

### getManifestation

    Manifestation getManifestation(java.lang.String name,
                                   PackageableElement utilizedElement,
                                   boolean ignoreCase,
                                   boolean createOnDemand)

  Retrieves the first `Manifestation` with the specified 'Name', and 'Utilized Element' from the 'Manifestation' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Manifestation` to retrieve, or `null`.
    `utilizedElement` - The 'Utilized Element' of the `Manifestation` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `createOnDemand` - Whether to create a `Manifestation` on demand if not found.
  Returns:
    The first `Manifestation` with the specified 'Name', and 'Utilized Element', or `null`.
  See Also:
    `getManifestations()`

### getOwnedOperations

    org.eclipse.emf.common.util.EList<Operation> getOwnedOperations()

  Returns the value of the 'Owned Operation' containment reference list. The list contents are of type `Operation`. The Operations defined for the Artifact. The association is a specialization of the ownedMember association.

  Returns:
    the value of the 'Owned Operation' containment reference list.
  See Also:
    `UMLPackage.getArtifact_OwnedOperation()`

### createOwnedOperation

    Operation createOwnedOperation(java.lang.String name,
                                   org.eclipse.emf.common.util.EList<java.lang.String> ownedParameterNames,
                                   org.eclipse.emf.common.util.EList<Type> ownedParameterTypes)

  Creates a new `Operation`, with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types', and appends it to the 'Owned Operation' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Operation`, or `null`.
    `ownedParameterNames` - The 'Owned Parameter Names' for the new `Operation`, or `null`.
    `ownedParameterTypes` - The 'Owned Parameter Types' for the new `Operation`, or `null`.
  Returns:
    The new `Operation`.
  See Also:
    `getOwnedOperations()`

### getOwnedOperation

    Operation getOwnedOperation(java.lang.String name,
                                org.eclipse.emf.common.util.EList<java.lang.String> ownedParameterNames,
                                org.eclipse.emf.common.util.EList<Type> ownedParameterTypes)

  Retrieves the first `Operation` with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types' from the 'Owned Operation' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Operation` to retrieve, or `null`.
    `ownedParameterNames` - The 'Owned Parameter Names' of the `Operation` to retrieve, or `null`.
    `ownedParameterTypes` - The 'Owned Parameter Types' of the `Operation` to retrieve, or `null`.
  Returns:
    The first `Operation` with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types', or `null`.
  See Also:
    `getOwnedOperations()`

### getOwnedOperation

    Operation getOwnedOperation(java.lang.String name,
                                org.eclipse.emf.common.util.EList<java.lang.String> ownedParameterNames,
                                org.eclipse.emf.common.util.EList<Type> ownedParameterTypes,
                                boolean ignoreCase,
                                boolean createOnDemand)

  Retrieves the first `Operation` with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types' from the 'Owned Operation' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Operation` to retrieve, or `null`.
    `ownedParameterNames` - The 'Owned Parameter Names' of the `Operation` to retrieve, or `null`.
    `ownedParameterTypes` - The 'Owned Parameter Types' of the `Operation` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `createOnDemand` - Whether to create a `Operation` on demand if not found.
  Returns:
    The first `Operation` with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types', or `null`.
  See Also:
    `getOwnedOperations()`

### getOwnedAttributes

    org.eclipse.emf.common.util.EList<Property> getOwnedAttributes()

  Returns the value of the 'Owned Attribute' containment reference list. The list contents are of type `Property`. The attributes or association ends defined for the Artifact. The association is a specialization of the ownedMember association.

  Returns:
    the value of the 'Owned Attribute' containment reference list.
  See Also:
    `UMLPackage.getArtifact_OwnedAttribute()`

### createOwnedAttribute

    Property createOwnedAttribute(java.lang.String name,
                                  Type type,
                                  org.eclipse.emf.ecore.EClass eClass)

  Creates a new `Property`, with the specified 'Name', and 'Type', and appends it to the 'Owned Attribute' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Property`, or `null`.
    `type` - The 'Type' for the new `Property`, or `null`.
    `eClass` - The Ecore class of the `Property` to create.
  Returns:
    The new `Property`.
  See Also:
    `getOwnedAttributes()`

### createOwnedAttribute

    Property createOwnedAttribute(java.lang.String name,
                                  Type type)

  Creates a new `Property`, with the specified 'Name', and 'Type', and appends it to the 'Owned Attribute' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Property`, or `null`.
    `type` - The 'Type' for the new `Property`, or `null`.
  Returns:
    The new `Property`.
  See Also:
    `getOwnedAttributes()`

### getOwnedAttribute

    Property getOwnedAttribute(java.lang.String name,
                               Type type)

  Retrieves the first `Property` with the specified 'Name', and 'Type' from the 'Owned Attribute' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Property` to retrieve, or `null`.
    `type` - The 'Type' of the `Property` to retrieve, or `null`.
  Returns:
    The first `Property` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getOwnedAttributes()`

### getOwnedAttribute

    Property getOwnedAttribute(java.lang.String name,
                               Type type,
                               boolean ignoreCase,
                               org.eclipse.emf.ecore.EClass eClass,
                               boolean createOnDemand)

  Retrieves the first `Property` with the specified 'Name', and 'Type' from the 'Owned Attribute' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Property` to retrieve, or `null`.
    `type` - The 'Type' of the `Property` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `Property` to retrieve, or `null`.
    `createOnDemand` - Whether to create a `Property` on demand if not found.
  Returns:
    The first `Property` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getOwnedAttributes()`

### createOwnedOperation

    Operation createOwnedOperation(java.lang.String name,
                                   org.eclipse.emf.common.util.EList<java.lang.String> parameterNames,
                                   org.eclipse.emf.common.util.EList<Type> parameterTypes,
                                   Type returnType)

  Creates an operation with the specified name, parameter names, parameter types, and return type (or null) as an owned operation of this artifact.

  Parameters:
    `name` - The name for the new operation, or null.
    `parameterNames` - The parameter names for the new operation, or null.
    `parameterTypes` - The parameter types for the new operation, or null.
    `returnType` - The return type for the new operation, or null.

### createOwnedAttribute

    Property createOwnedAttribute(java.lang.String name,
                                  Type type,
                                  int lower,
                                  int upper)

  Creates a property with the specified name, type, lower bound, and upper bound as an owned attribute of this artifact.

  Parameters:
    `name` - The name for the new attribute, or null.
    `type` - The type for the new attribute, or null.
    `lower` - The lower bound for the new attribute.
    `upper` - The upper bound for the new attribute.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.